Icecast authorization request buffer overflow

icecast-auth-request-bo (16103) The risk level is classified as HighHigh Risk

Description:

Icecast is vulnerable to a heap-based buffer overflow. By sending a specially-crafted base64 authorization request, a remote attacker could overflow a buffer and possibly execute arbitrary code on the system or cause the system to crash.


Consequences:

Gain Access

Remedy:

Apply the appropriate patch for your system. See References.

References:

Platforms Affected:

  • Gentoo Linux
  • Icecast Icecast 2.0.0

Reported:

May 09, 2004

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page